# SoLineHighlightRenderAction Class Reference
[Actions]

`#include <Inventor/actions/SoLineHighlightRenderAction.h>`

Inheritance diagram for SoLineHighlightRenderAction:

List of all members.

## Detailed Description

The SoLineHighlightRenderAction class renders selections with line highlighting.

See the documentation of SoBoxHighlightRenderAction.

The only difference between SoBoxHighlightRenderAction and this action is that this action renders highlights by superposing a wireframe image onto each shape instead of the bounding box when drawing the highlight.

See also:
  SoBoxHighlightRenderAction, SoSelection

## Public Member Functions

| SoLineHighlightRenderAction (void)
| SoLineHighlightRenderAction (const SbViewportRegion &viewportregion)
virtual | ~SoLineHighlightRenderAction ()
virtual void | apply (SoNode *node)
virtual void | apply (SoPath *path)
virtual void | apply (const SoPathList &pathlist, SbBool obeysrules=FALSE)
void | setVisible (const SbBool visible)
SbBool | isVisible (void) const
void | setColor (const SbColor &color)
const SbColor & | getColor (void)
void | setLinePattern (uint16_t pattern)
uint16_t | getLinePattern (void) const
void | setLineWidth (const float width)
float | getLineWidth (void) const

## Static Public Member Functions

void | initClass (void)

## Protected Attributes

SbBool | hlVisible

## Friends

class | SoLineHighlightRenderActionP

## Constructor & Destructor Documentation

SoLineHighlightRenderAction::SoLineHighlightRenderAction | ( | void |  | ) |

| Default constructor. Note: passes a default SbViewportRegion to the parent constructor.

SoLineHighlightRenderAction::SoLineHighlightRenderAction | ( | const SbViewportRegion & | viewportregion | ) |

| Constructor, taking an explicit viewportregion to render.

SoLineHighlightRenderAction::~SoLineHighlightRenderAction | ( |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

void SoLineHighlightRenderAction::initClass | ( | void |  | ) | `[static]`

| Initializes the run-time type system for this class, and sets up the enabled elements and action method list. Reimplemented from SoGLRenderAction.

void SoLineHighlightRenderAction::apply | ( | SoNode * | node | ) | `[virtual]`

| Applies the action to the scene graph rooted at root. Note that you should not apply an action to a node with a zero reference count. The behavior in that case is undefined. Reimplemented from SoAction.

void SoLineHighlightRenderAction::apply | ( | SoPath * | path | ) | `[virtual]`

| Applies the action to the parts of the graph defined by path. If the path ends in an SoGroup node, the action will also traverse the tail node's children. Reimplemented from SoAction.

void SoLineHighlightRenderAction::apply | ( | const SoPathList & | pathlist,
|  | SbBool | obeysrules = FALSE
| ) | `[virtual]`

Applies action to the graphs defined by pathlist. If obeysrules is set to `TRUE`, pathlist must obey the following four conditions (which is the case for path lists returned from search actions for non-group nodes and path lists returned from picking actions):

All paths must start at the same head node. All paths must be sorted in traversal order. The paths must be unique. No path can continue through the end point of another path.

Reimplemented from SoAction.

void SoLineHighlightRenderAction::setVisible | ( | const SbBool | visible | ) |

| Sets if highlight wireframes should be visible when rendering. Defaults to `TRUE`.

SbBool SoLineHighlightRenderAction::isVisible | ( | void |  | ) | const

| Return if selection wireframes should be visible.

void SoLineHighlightRenderAction::setColor | ( | const SbColor & | color | ) |

| Sets the color of the wireframes. Defaults to red.

const SbColor & SoLineHighlightRenderAction::getColor | ( | void |  | ) |

| Returns color of selection wireframes.

void SoLineHighlightRenderAction::setLinePattern | ( | uint16_t | pattern | ) |

| Sets the line pattern used when drawing wireframes. Defaults to `0xffff` (i.e. full, unstippled lines).

uint16_t SoLineHighlightRenderAction::getLinePattern | ( | void |  | ) | const

| Returns line pattern used when drawing wireframe.

void SoLineHighlightRenderAction::setLineWidth | ( | const float | width | ) |

| Sets the line width used when drawing wireframe. Defaults to 3 (measured in screen pixels).

float SoLineHighlightRenderAction::getLineWidth | ( | void |  | ) | const

| Returns the line width used when drawing wireframe.

## Member Data Documentation

SoLineHighlightRenderAction::hlVisible`[protected]`

| Boolean which decides whether or not the highlights for selected nodes should be visible.

The documentation for this class was generated from the following files:

- SoLineHighlightRenderAction.h
- SoLineHighlightRenderAction.cpp